/* eslint-disable */
import { Col, Divider, Row } from '@whalecloud/fdx';
import React from 'react';
import SearchInput from './components/SearchInput';
import './index.less';

var SearchBox = function SearchBox(props) {
  var showCot = props.showCot;
  return /*#__PURE__*/React.createElement("div", {
    className: "mSearchBoxLayout ".concat(showCot === 'inList' ? 'mEcomContent' : ''),
    style: showCot === 'inList' ? {
      width: '100%',
      overflow: 'hidden'
    } : {}
  }, /*#__PURE__*/React.createElement(Row, {
    type: "flex",
    justify: "start"
  }, /*#__PURE__*/React.createElement(Col, {
    xs: 8,
    sm: 8,
    md: 8
  }, /*#__PURE__*/React.createElement(Row, {
    type: "flex",
    justify: "start"
  }, /*#__PURE__*/React.createElement("a", {
    className: "logo"
  }, "Ecommerce"), /*#__PURE__*/React.createElement("div", {
    style: {
      cursor: 'pointer'
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "logoTitle"
  }, "eCommerce"), /*#__PURE__*/React.createElement("div", {
    className: "logoContent"
  }, "Enjoy your lifestyle with us")))), /*#__PURE__*/React.createElement(Col, {
    xs: 16,
    sm: 16,
    md: 16,
    style: {
      display: 'flex'
    }
  }, /*#__PURE__*/React.createElement(Row, {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(Col, {
    span: 24,
    style: {
      display: 'flex',
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(Row, {
    type: "flex",
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(SearchInput, null), /*#__PURE__*/React.createElement("div", {
    className: "shopButton"
  }, /*#__PURE__*/React.createElement("span", {
    className: "shoppingCartIcon"
  }), /*#__PURE__*/React.createElement("span", {
    className: "shoppingCart"
  }, "Shopping Cart")))), /*#__PURE__*/React.createElement(Col, {
    span: 24,
    style: {
      marginTop: '4px',
      fontSize: '12px',
      color: '#8c8c8c',
      paddingLeft: '12px'
    }
  }, /*#__PURE__*/React.createElement("span", {
    className: "hotWords"
  }, " iPhone X "), /*#__PURE__*/React.createElement(Divider, {
    type: "vertical",
    style: {
      margin: '0 12px'
    }
  }), /*#__PURE__*/React.createElement("span", {
    className: "hotWords"
  }, " SmartPhone "))))));
};

export default SearchBox;